Create a download session
POST
/v1/workflow-step-runs/{stepRunId}/download-sessionscurl -X POST 'https://api.embodiflow.io/v1/workflow-step-runs/{stepRunId}/download-sessions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"target": "string",
"container": "string",
"itemIndex": 0,
"paths": [
"string"
]
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- stepRunIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- targetstring
- containerstring
- itemIndexnumber
- pathsarray<string>
响应
Success
- option 1object
- dataobject必填
- option 2object
- dataobject必填
响应示例
{
"data": {
"absent": false,
"missing": false,
"target": "logs",
"urls": [
{
"container": "string",
"objectKey": "string",
"url": "string"
}
]
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1